Package com.stardog.stark.vocabs

# Class XSD

java.lang.Object
com.stardog.stark.vocabs.XSD

public final class XSD extends Object
Constants for XML Schema datatypes.

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final IRI`
  `ANYURI`
  `static final IRI`
  `BASE64BINARY`
  `static final IRI`
  `BOOLEAN`
  `static final IRI`
  `BYTE`
  `static final IRI`
  `DATE`
  `static final IRI`
  `DATETIME`
  `static final IRI`
  `DATETIMESTAMP`
  `static final IRI`
  `DAYTIMEDURATION`
  `static final IRI`
  `DECIMAL`
  `static final IRI`
  `DOUBLE`
  `static final IRI`
  `DURATION`
  `static final IRI`
  `ENTITIES`
  `static final IRI`
  `ENTITY`
  `static final IRI`
  `FLOAT`
  `static final IRI`
  `GDAY`
  `static final IRI`
  `GMONTH`
  `static final IRI`
  `GMONTHDAY`
  `static final IRI`
  `GYEAR`
  `static final IRI`
  `GYEARMONTH`
  `static final IRI`
  `HEXBINARY`
  `static final IRI`
  `ID`
  `static final IRI`
  `IDREF`
  `static final IRI`
  `IDREFS`
  `static final IRI`
  `INT`
  `static final IRI`
  `INTEGER`
  `static final IRI`
  `LANGUAGE`
  `static final IRI`
  `LONG`
  `static final IRI`
  `NAME`
  `static final String`
  `NAMESPACE`
  The vocabulary namespace URL
  `static final IRI`
  `NCNAME`
  `static final IRI`
  `NEGATIVE_INTEGER`
  `static final IRI`
  `NMTOKEN`
  `static final IRI`
  `NMTOKENS`
  `static final IRI`
  `NON_NEGATIVE_INTEGER`
  `static final IRI`
  `NON_POSITIVE_INTEGER`
  `static final IRI`
  `NORMALIZEDSTRING`
  `static final IRI`
  `NOTATION`
  `static final IRI`
  `POSITIVE_INTEGER`
  `static final IRI`
  `QNAME`
  `static final IRI`
  `SHORT`
  `static final IRI`
  `STRING`
  `static final IRI`
  `TIME`
  `static final IRI`
  `TOKEN`
  `static final IRI`
  `UNSIGNED_BYTE`
  `static final IRI`
  `UNSIGNED_INT`
  `static final IRI`
  `UNSIGNED_LONG`
  `static final IRI`
  `UNSIGNED_SHORT`
  `static final IRI`
  `YEARMONTHDURATION`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    The vocabulary namespace URL
    See Also:
      - Constant Field Values

  - ### ANYURI

    public static final IRI ANYURI

  - ### BASE64BINARY

    public static final IRI BASE64BINARY

  - ### BOOLEAN

    public static final IRI BOOLEAN

  - ### DECIMAL

    public static final IRI DECIMAL

  - ### DOUBLE

    public static final IRI DOUBLE

  - ### FLOAT

    public static final IRI FLOAT

  - ### HEXBINARY

    public static final IRI HEXBINARY

  - ### NOTATION

    public static final IRI NOTATION

  - ### STRING

    public static final IRI STRING

  - ### QNAME

    public static final IRI QNAME

  - ### DURATION

    public static final IRI DURATION

  - ### DATE

    public static final IRI DATE

  - ### DATETIME

    public static final IRI DATETIME

  - ### DATETIMESTAMP

    public static final IRI DATETIMESTAMP

  - ### DAYTIMEDURATION

    public static final IRI DAYTIMEDURATION

  - ### GDAY

    public static final IRI GDAY

  - ### GMONTH

    public static final IRI GMONTH

  - ### GMONTHDAY

    public static final IRI GMONTHDAY

  - ### GYEAR

    public static final IRI GYEAR

  - ### GYEARMONTH

    public static final IRI GYEARMONTH

  - ### TIME

    public static final IRI TIME

  - ### YEARMONTHDURATION

    public static final IRI YEARMONTHDURATION

  - ### BYTE

    public static final IRI BYTE

  - ### INT

    public static final IRI INT

  - ### INTEGER

    public static final IRI INTEGER

  - ### LONG

    public static final IRI LONG

  - ### NEGATIVE_INTEGER

    public static final IRI NEGATIVE_INTEGER

  - ### NON_NEGATIVE_INTEGER

    public static final IRI NON_NEGATIVE_INTEGER

  - ### NON_POSITIVE_INTEGER

    public static final IRI NON_POSITIVE_INTEGER

  - ### POSITIVE_INTEGER

    public static final IRI POSITIVE_INTEGER

  - ### SHORT

    public static final IRI SHORT

  - ### UNSIGNED_BYTE

    public static final IRI UNSIGNED_BYTE

  - ### UNSIGNED_INT

    public static final IRI UNSIGNED_INT

  - ### UNSIGNED_LONG

    public static final IRI UNSIGNED_LONG

  - ### UNSIGNED_SHORT

    public static final IRI UNSIGNED_SHORT

  - ### NORMALIZEDSTRING

    public static final IRI NORMALIZEDSTRING

  - ### ENTITY

    public static final IRI ENTITY

  - ### ENTITIES

    public static final IRI ENTITIES

  - ### ID

    public static final IRI ID

  - ### IDREF

    public static final IRI IDREF

  - ### IDREFS

    public static final IRI IDREFS

  - ### LANGUAGE

    public static final IRI LANGUAGE

  - ### NAME

    public static final IRI NAME

  - ### NCNAME

    public static final IRI NCNAME

  - ### NMTOKEN

    public static final IRI NMTOKEN

  - ### NMTOKENS

    public static final IRI NMTOKENS

  - ### TOKEN

    public static final IRI TOKEN